---
title: performance.clearMeasures()
slug: Web/API/Performance/clearMeasures
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("User Timing API")}}</div>

<p>The <strong><code>clearMeasures()</code></strong> method removes the <em>named measure</em> from the browser's performance entry buffer. If the method is called with no arguments, all {{domxref("PerformanceEntry","performance entries")}} with an {{domxref("PerformanceEntry.entryType","entry type")}} of "<code>measure</code>" will be removed from the performance entry buffer.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>performance</em>.clearMeasures();
<em>performance</em>.clearMeasures(name);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>name {{optional_inline}}</dt>
 <dd>A {{domxref("DOMString")}} representing the name of the timestamp. If this argument is omitted, all {{domxref("PerformanceEntry","performance entries")}} with an {{domxref("PerformanceEntry.entryType","entry type")}} of "<code>measure</code>" will be removed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>void</dt>
 <dd> </dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example shows both uses of the <code>clearMeasures()</code> method.</p>

<pre class="brush: js">// Create a small helper to show how many PerformanceMeasure entries there are.
function logMeasureCount() {
  console.log(
    "Found this many entries: " + performance.getEntriesByType("measure").length
  );
}

// Create a bunch of measures.
performance.measure("from navigation");
performance.mark("a");
performance.measure("from mark a", "a");
performance.measure("from navigation");
performance.measure("from mark a", "a");
performance.mark("b");
performance.measure("between a and b", "a", "b");

logMeasureCount() // "Found this many entries: 5"

// Delete just the "from navigation" PerformanceMeasure entries.
performance.clearMeasures("from navigation");
logMeasureCount() // "Found this many entries: 3"

// Delete all of the PerformanceMeasure entries.
performance.clearMeasures();
logMeasureCount() // "Found this many entries: 0"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('User Timing Level 2', '#dom-performance-clearmeasures', 'clearMeasures()')}}</td>
   <td>{{Spec2('User Timing Level 2')}}</td>
   <td>Clarifies <code>clearMeasures()</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('User Timing', '#dom-performance-clearmeasures', 'clearMeasures()')}}</td>
   <td>{{Spec2('User Timing')}}</td>
   <td>Basic definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.clearMeasures")}}</p>
</div>
